com.example.instilostandfound

## Class CreateFoundObject

- java.lang.Object
- - com.example.instilostandfound.CreateFoundObject

All Implemented Interfaces:
  java.io.Serializable

    public class CreateFoundObject
    extends java.lang.Object
    implements java.io.Serializable

Creates a database object for each item found or lost

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CreateFoundObject()` Defined a no object constructor for empty values
`CreateFoundObject(java.lang.String LDAPID, java.lang.String title, java.lang.String imageUrl, java.lang.String location, java.lang.String desc, java.lang.String category, java.lang.String datefound, java.lang.String type)` Constructor to initilaise objects of the class object found /lost

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDate()` Get date of item lost/found
`java.lang.String` `getImageUrl()` get the image url
`java.lang.String` `getKey()`
`java.lang.String` `getLDAP()` Get LDAP id
`java.lang.String` `getmCategory()` get category of post
`java.lang.String` `getmDateFound()` get date when object was lost/found
`java.lang.String` `getmDescription()`
`java.lang.String` `getmLocation()` Get the location of object
`java.lang.String` `getmTitle()` Set the title of post
`void` `setImageUrl(java.lang.String imageUrl)` Sets image url
`void` `setKey(java.lang.String key)`
`void` `setLDAP(java.lang.String LDAP)` Setting LDAP credentials
`void` `setmDateFound(java.lang.String dateFound)` description of post

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateFoundObject

    public CreateFoundObject(java.lang.String LDAPID,
                             java.lang.String title,
                             java.lang.String imageUrl,
                             java.lang.String location,
                             java.lang.String desc,
                             java.lang.String category,
                             java.lang.String datefound,
                             java.lang.String type)

Constructor to initilaise objects of the class object found /lost

Parameters:
  `LDAPID` - LDAP id of the user
  `title` - title of the post
  `imageUrl` - image url of the object as stored in firebase storage
  `location` - location of the object
  `desc` - description of the object
  `category` - Category of the object
  `datefound` - Date when object was lost/found
  `type` - type of item -> lost/found

#### CreateFoundObject

    public CreateFoundObject()

Defined a no object constructor for empty values

### Method Detail

#### setImageUrl

    public void setImageUrl(java.lang.String imageUrl)

Sets image url

Parameters:
  `imageUrl` - image uri

#### getLDAP

    public java.lang.String getLDAP()

Get LDAP id

Returns:
  LDAP of user

#### setLDAP

    public void setLDAP(java.lang.String LDAP)

Setting LDAP credentials

Parameters:
  `LDAP` - LDAP id of user

#### getmTitle

    public java.lang.String getmTitle()

Set the title of post

Returns:
  title of post

#### getImageUrl

    public java.lang.String getImageUrl()

get the image url

Returns:
  image url

#### getmCategory

    public java.lang.String getmCategory()

get category of post

Returns:
  category of post

#### getmDateFound

    public java.lang.String getmDateFound()

get date when object was lost/found

Returns:
  date of lost/found

#### setmDateFound

    public void setmDateFound(java.lang.String dateFound)

description of post

#### getmDescription

    public java.lang.String getmDescription()

#### getmLocation

    public java.lang.String getmLocation()

Get the location of object

Returns:
  location coordinates

#### getKey

    public java.lang.String getKey()

#### setKey

    public void setKey(java.lang.String key)

#### getDate

    public java.lang.String getDate()

Get date of item lost/found

Returns:
  date item